package com.zipcodewilmington.bankaccountlab;

public abstract class BankAccount {
    private String accountNumber;
    private Double balance;

    public BankAccount(){}

    public BankAccount(String accountNumber, Double balance){
        this.accountNumber = accountNumber;
        this.balance = balance;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public Double getBalance(){
        return balance;
    }

    public void withdraw(Double withdrawal){
        balance -= withdrawal;
    }

    public void deposit(Double deposit){
        balance += deposit;
    }

}
